## r-cran-diagrammer 1.0.0

=== DESCRIPTION ===
Package: DiagrammeR
Title: Graph/Network Visualization
Version: 1.0.0
Authors@R: person("Richard", "Iannone", email = "riannone@me.com", role = c("aut", "cre"))
Maintainer: Richard Iannone <riannone@me.com>
Description: 
    Build graph/network structures using functions for stepwise addition and
    deletion of nodes and edges. Work with data available in tables for bulk
    addition of nodes, edges, and associated metadata. Use graph selections
    and traversals to apply changes to specific nodes or edges. A wide
    selection of graph algorithms allow for the analysis of graphs. Visualize
    the graphs and take advantage of any aesthetic properties assigned to
    nodes and edges.
Depends: R (>= 3.2.0)
License: MIT + file LICENSE
Imports:
    dplyr (>= 0.7.4),
    downloader (>= 0.4),
    glue (>= 1.2.0),
    htmltools (>= 0.3.6),
    htmlwidgets (>= 1.0),
    igraph (>= 1.1.2),
    influenceR (>= 0.1.0),
    magrittr (>= 1.5),
    purrr (>= 0.2.4),
    RColorBrewer (>= 1.1-2),
    readr (>= 1.1.1),
    rlang (>= 0.2.0),
    rstudioapi (>= 0.7),
    rgexf (>= 0.15.3),
    scales (>= 0.5.0),
    stringr (>= 1.3.0),
    tibble (>= 1.4.2),
    tidyr (>= 0.8.0),
    viridis (>= 0.5.0),
    visNetwork (>= 2.0.3)
Suggests:
    covr,
    DiagrammeRsvg,
    rsvg,
    knitr,
    testthat
URL: https://github.com/rich-iannone/DiagrammeR
BugReports: https://github.com/rich-iannone/DiagrammeR/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1

=== debian/changelog ===
r-cran-diagrammer (1.0.0-1) UNRELEASED; urgency=medium

  * Initial release (closes: #xxxxxx)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 21 Feb 2019 06:32:26 -0800

=== debian/control ===
Source: r-cran-diagrammer
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-dplyr (>= 0.7.4),
               r-cran-downloader (>= 0.4),
               r-cran-glue,
               r-cran-htmltools (>= 0.3.6),
               r-cran-htmlwidgets (>= 1.0),
               r-cran-igraph (>= 1.1.2),
               r-cran-magrittr,
               r-cran-purrr,
               r-cran-rcolorbrewer (>= 1.1-2),
               r-cran-readr,
               r-cran-rlang,
               r-cran-rstudioapi,
               r-cran-scales (>= 0.5.0),
               r-cran-stringr (>= 1.3.0),
               r-cran-tibble (>= 1.4.2),
               r-cran-tidyr (>= 0.8.0),
               r-cran-viridis (>= 0.5.0)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diagrammer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diagrammer.git
Homepage: https://github.com/rich-iannone/DiagrammeR

Package: r-cran-diagrammer
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Graph/Network Visualization
 Build graph/network structures using functions for stepwise addition and
 deletion of nodes and edges. Work with data available in tables for bulk
 addition of nodes, edges, and associated metadata. Use graph selections
 and traversals to apply changes to specific nodes or edges. A wide
 selection of graph algorithms allow for the analysis of graphs. Visualize
 the graphs and take advantage of any aesthetic properties assigned to
 nodes and edges.

=== debian/watch ===
version=4

https://github.com/rich-iannone/DiagrammeR/releases .*/#PREFIX#@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-diagrammer 1.0.11+ds

=== DESCRIPTION ===
Type: Package
Package: DiagrammeR
Title: Graph/Network Visualization
Version: 1.0.11
Authors@R: c(
    person("Richard", "Iannone", , "riannone@me.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-3925-190X")),
    person("Olivier", "Roy", , "olivierroy71@hotmail.com", role = "aut")
  )
Description: Build graph/network structures using functions for stepwise
    addition and deletion of nodes and edges. Work with data available in
    tables for bulk addition of nodes, edges, and associated metadata. Use
    graph selections and traversals to apply changes to specific nodes or
    edges. A wide selection of graph algorithms allow for the analysis of
    graphs. Visualize the graphs and take advantage of any aesthetic
    properties assigned to nodes and edges.
License: MIT + file LICENSE
URL: https://rich-iannone.github.io/DiagrammeR/,
        https://github.com/rich-iannone/DiagrammeR
BugReports: https://github.com/rich-iannone/DiagrammeR/issues
Depends: R (>= 3.2)
Imports: dplyr (>= 1.0.7), glue (>= 1.5.0), htmltools (>= 0.5.2),
        htmlwidgets (>= 1.5), igraph (>= 1.4.0), magrittr (>= 1.5),
        purrr (>= 0.3.4), RColorBrewer (>= 1.1-2), readr (>= 2.1.1),
        rlang (>= 1.1.0), cli, rstudioapi (>= 0.7), scales (>= 1.1),
        stringr (>= 1.4), tibble (>= 3.1), tidyr (>= 1.1), viridisLite
        (>= 0.4.2), visNetwork (>= 2.1.0)
Suggests: curl, DiagrammeRsvg, knitr, rmarkdown, rsvg, testthat (>=
        3.1.0), withr
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-02-02 22:31:23 UTC; riannone
Author: Richard Iannone [aut, cre] (<https://orcid.org/0000-0003-3925-190X>),
  Olivier Roy [aut]
Maintainer: Richard Iannone <riannone@me.com>
Repository: CRAN
Date/Publication: 2024-02-02 23:30:03 UTC

=== debian/changelog ===
r-cran-diagrammer (1.0.11+ds-2) unstable; urgency=medium

  * No-change, source-only upload.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Jul 2024 10:09:00 +0200

r-cran-diagrammer (1.0.11+ds-1) unstable; urgency=medium

  * Initial release (Closes: #986241, #1071884)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 16 Apr 2024 16:08:23 +0200

=== debian/control ===
Source: r-cran-diagrammer
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-dplyr (>= 1.0.7),
               r-cran-glue (>= 1.5.0),
               r-cran-htmltools (>= 0.5.2),
               r-cran-htmlwidgets,
               r-cran-igraph (>= 1.4.0),
               r-cran-magrittr,
               r-cran-purrr,
               r-cran-rcolorbrewer,
               r-cran-readr (>= 2.1.1),
               r-cran-rlang (>= 1.1.0),
               r-cran-cli,
               r-cran-rstudioapi,
               r-cran-scales,
               r-cran-stringr,
               r-cran-tibble (>= 3.1),
               r-cran-tidyr,
               r-cran-viridislite (>= 0.4.2),
               r-cran-visnetwork
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-diagrammer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-diagrammer.git
Homepage: https://cran.r-project.org/package=DiagrammeR
Rules-Requires-Root: no

Package: r-cran-diagrammer
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Graph/Network Visualization
 Build graph/network structures using functions for stepwise addition and
 deletion of nodes and edges. Work with data available in tables for bulk
 addition of nodes, edges, and associated metadata. Use graph selections
 and traversals to apply changes to specific nodes or edges. A wide
 selection of graph algorithms allow for the analysis of graphs. Visualize
 the graphs and take advantage of any aesthetic properties assigned to
 nodes and edges.

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/DiagrammeR_([-\d.]*)\.tar\.gz
